package com.mortals.xhx.module.api.common;

import java.io.Serializable;

/**
 * 分页查询请求
 *
 * @author pengziyuan
 */
public class PageInfoReq implements Serializable {

    private static final long serialVersionUID = -3504184825629509877L;

    /** 每页数据量 */
    private int prePageResult;

    /** 页码 */
    private int currPage;

    public int getPrePageResult() {
        return prePageResult;
    }

    public void setPrePageResult(int prePageResult) {
        this.prePageResult = prePageResult;
    }

    public int getCurrPage() {
        return currPage;
    }

    public void setCurrPage(int currPage) {
        this.currPage = currPage;
    }

    @Override
    public String toString() {
        return "PageInfoReq{" + "prePageResult=" + prePageResult + ", currPage=" + currPage + '}';
    }
}
